const { refObject, Button, ImageButton, TextBox, Vector } = require('@tabletop-playground/api');
const { AddValueMain, TypeCharacteristic } = require('./general/General_Functions.js');

refObject.onCreated.add(() => {
  loadState();
})

refObject.ChangeValues = (description) => {
  let brokenDescription = description.split(/\s?\n/);
  for (let j = 0; j < arrayCharacteristic.length; j++) {
    for (let i = 0; i < brokenDescription.length; i++) {
      if (brokenDescription[i].toLowerCase().includes(arrayCharacteristic[j])) {
        AddValueMain(refObject.getName(), i, parseInt(brokenDescription[i].slice(arrayCharacteristic[j].length + 1)));
      }
    }
  }
}

refObject.ResetValue = function () { }

let arrayCharacteristic = [];
function loadState() {
  arrayCharacteristic.push("strength:");
  arrayCharacteristic.push("perception:");
  arrayCharacteristic.push("endurance:");
  arrayCharacteristic.push("charisma:");
  arrayCharacteristic.push("intelligence:");
  arrayCharacteristic.push("dexterity:");
  arrayCharacteristic.push("luck:");
}